package com.bsis.peuplement.model;




import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;



@Entity(name = "Redevable")
@Table(
        name = "redevable")
public class Redevable {
    @Id
    @Column(name = "redevable_id")
    private Long redevable_id;
    private Long civilite_id;
    private Long  pays_id;
    private Long  categorie_debiteur_id;
    private Long  mode_taxation_id;
    private Long type_redevable_id;
    private Long  profession_id;
    private Long   reference;
    private String nom;
    private String complement_nom;
    private String courriel;
    private String adresse;
    private String  complement_adresse;
    private String code_postal;
    private String ville;
    private String telephone;
    private String fax;
    private String registre_commerce;
    private String  greffe_tribunal;
    private String code_siren;
    private Long  base_adresse_id;
    private Boolean si_supprime;
    private Date  date_modification;
    private String prenom;
    private String code_siret;
    private Boolean is_actif;
    private Boolean si_tag_redevable;
    private String score_solvabilite;
    private String code_categorie_juridique;
    private String code_activite;
    private Boolean si_verification_prioritaire;
    private String agent_derniere_modification;
    private Date date_modification_batch;
    private String integration_automatique;
    private Date date_creation;
    private String tiers_alize;
    private String lieu_naissance;
    private Date date_naissance;

    //.....................................................................
    // Constructors
    //...................................................................

    public Redevable() {}
    //...................................................................

    public Redevable(Long redevable_id,
                     Long civilite_id,
                     Long pays_id,
                     Long categorie_debiteur_id,
                     Long mode_taxation_id,
                     Long type_redevable_id,
                     Long profession_id,
                     Long reference,
                     String nom,
                     String complement_nom,
                     String courriel,
                     String adresse,
                     String complement_adresse,
                     String code_postal,
                     String ville,
                     String telephone,
                     String fax,
                     String registre_commerce,
                     String greffe_tribunal,
                     String code_siren,
                     Long base_adresse_id,
                     Boolean si_supprime,
                     Date date_modification,
                     String prenom,
                     String code_siret,
                     Boolean is_actif,
                     Boolean si_tag_redevable,
                     String score_solvabilite,
                     String code_categorie_juridique,
                     String code_activite,
                     Boolean si_verification_prioritaire,
                     String agent_derniere_modification,
                     Date date_modification_batch,
                     String integration_automatique,
                     Date date_creation,
                     String tiers_alize,
                     String lieu_naissance,
                     Date date_naissance) {
        this.redevable_id = redevable_id;
        this.civilite_id = civilite_id;
        this.pays_id = pays_id;
        this.categorie_debiteur_id = categorie_debiteur_id;
        this.mode_taxation_id = mode_taxation_id;
        this.type_redevable_id = type_redevable_id;
        this.profession_id = profession_id;
        this.reference = reference;
        this.nom = nom;
        this.complement_nom = complement_nom;
        this.courriel = courriel;
        this.adresse = adresse;
        this.complement_adresse = complement_adresse;
        this.code_postal = code_postal;
        this.ville = ville;
        this.telephone = telephone;
        this.fax = fax;
        this.registre_commerce = registre_commerce;
        this.greffe_tribunal = greffe_tribunal;
        this.code_siren = code_siren;
        this.base_adresse_id = base_adresse_id;
        this.si_supprime = si_supprime;
        this.date_modification = date_modification;
        this.prenom = prenom;
        this.code_siret = code_siret;
        this.is_actif = is_actif;
        this.si_tag_redevable = si_tag_redevable;
        this.score_solvabilite = score_solvabilite;
        this.code_categorie_juridique = code_categorie_juridique;
        this.code_activite = code_activite;
        this.si_verification_prioritaire = si_verification_prioritaire;
        this.agent_derniere_modification = agent_derniere_modification;
        this.date_modification_batch = date_modification_batch;
        this.integration_automatique = integration_automatique;
        this.date_creation = date_creation;
        this.tiers_alize = tiers_alize;
        this.lieu_naissance = lieu_naissance;
        this.date_naissance = date_naissance;
    }
    //...................................................................
    // Getters
    //..................................................................

    public Long getRedevable_id() {
        return redevable_id;
    }

    public Long getCivilite_id() {
        return civilite_id;
    }

    public Long getPays_id() {
        return pays_id;
    }

    public Long getCategorie_debiteur_id() {
        return categorie_debiteur_id;
    }

    public Long getMode_taxation_id() {
        return mode_taxation_id;
    }

    public Long getType_redevable_id() {
        return type_redevable_id;
    }

    public Long getProfession_id() {
        return profession_id;
    }

    public Long getReference() {
        return reference;
    }

    public String getNom() {
        return nom;
    }

    public String getComplement_nom() {
        return complement_nom;
    }

    public String getCourriel() {
        return courriel;
    }

    public String getAdresse() {
        return adresse;
    }

    public String getComplement_adresse() {
        return complement_adresse;
    }

    public String getCode_postal() {
        return code_postal;
    }

    public String getVille() {
        return ville;
    }

    public String getTelephone() {
        return telephone;
    }

    public String getFax() {
        return fax;
    }

    public String getRegistre_commerce() {
        return registre_commerce;
    }

    public String getGreffe_tribunal() {
        return greffe_tribunal;
    }

    public String getCode_siren() {
        return code_siren;
    }

    public Long getBase_adresse_id() {
        return base_adresse_id;
    }

    public Boolean getSi_supprime() {
        return si_supprime;
    }

    public Date getDate_modification() {
        return date_modification;
    }

    public String getPrenom() {
        return prenom;
    }

    public String getCode_siret() {
        return code_siret;
    }

    public Boolean getIs_actif() {
        return is_actif;
    }

    public Boolean getSi_tag_redevable() {
        return si_tag_redevable;
    }

    public String getScore_solvabilite() {
        return score_solvabilite;
    }

    public String getCode_categorie_juridique() {
        return code_categorie_juridique;
    }

    public String getCode_activite() {
        return code_activite;
    }

    public Boolean getSi_verification_prioritaire() {
        return si_verification_prioritaire;
    }

    public String getAgent_derniere_modification() {
        return agent_derniere_modification;
    }

    public Date getDate_modification_batch() {
        return date_modification_batch;
    }

    public String getIntegration_automatique() {
        return integration_automatique;
    }

    public Date getDate_creation() {
        return date_creation;
    }

    public String getTiers_alize() {
        return tiers_alize;
    }

    public String getLieu_naissance() {
        return lieu_naissance;
    }

    public Date getDate_naissance() {
        return date_naissance;
    }

    //...............................................................................
    // Setters
    //...............................................................................

    public void setRedevable_id(Long redevable_id) {
        this.redevable_id = redevable_id;
    }

    public void setCivilite_id(Long civilite_id) {
        this.civilite_id = civilite_id;
    }

    public void setPays_id(Long pays_id) {
        this.pays_id = pays_id;
    }

    public void setCategorie_debiteur_id(Long categorie_debiteur_id) {
        this.categorie_debiteur_id = categorie_debiteur_id;
    }

    public void setMode_taxation_id(Long mode_taxation_id) {
        this.mode_taxation_id = mode_taxation_id;
    }

    public void setType_redevable_id(Long type_redevable_id) {
        this.type_redevable_id = type_redevable_id;
    }

    public void setProfession_id(Long profession_id) {
        this.profession_id = profession_id;
    }

    public void setReference(Long reference) {
        this.reference = reference;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public void setComplement_nom(String complement_nom) {
        this.complement_nom = complement_nom;
    }

    public void setCourriel(String courriel) {
        this.courriel = courriel;
    }

    public void setAdresse(String adresse) {
        this.adresse = adresse;
    }

    public void setComplement_adresse(String complement_adresse) {
        this.complement_adresse = complement_adresse;
    }

    public void setCode_postal(String code_postal) {
        this.code_postal = code_postal;
    }

    public void setVille(String ville) {
        this.ville = ville;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public void setFax(String fax) {
        this.fax = fax;
    }

    public void setRegistre_commerce(String registre_commerce) {
        this.registre_commerce = registre_commerce;
    }

    public void setGreffe_tribunal(String greffe_tribunal) {
        this.greffe_tribunal = greffe_tribunal;
    }

    public void setCode_siren(String code_siren) {
        this.code_siren = code_siren;
    }

    public void setBase_adresse_id(Long base_adresse_id) {
        this.base_adresse_id = base_adresse_id;
    }

    public void setSi_supprime(Boolean si_supprime) {
        this.si_supprime = si_supprime;
    }

    public void setDate_modification(Date date_modification) {
        this.date_modification = date_modification;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    public void setCode_siret(String code_siret) {
        this.code_siret = code_siret;
    }

    public void setIs_actif(Boolean is_actif) {
        this.is_actif = is_actif;
    }

    public void setSi_tag_redevable(Boolean si_tag_redevable) {
        this.si_tag_redevable = si_tag_redevable;
    }

    public void setScore_solvabilite(String score_solvabilite) {
        this.score_solvabilite = score_solvabilite;
    }

    public void setCode_categorie_juridique(String code_categorie_juridique) {
        this.code_categorie_juridique = code_categorie_juridique;
    }

    public void setCode_activite(String code_activite) {
        this.code_activite = code_activite;
    }

    public void setSi_verification_prioritaire(Boolean si_verification_prioritaire) {
        this.si_verification_prioritaire = si_verification_prioritaire;
    }

    public void setAgent_derniere_modification(String agent_derniere_modification) {
        this.agent_derniere_modification = agent_derniere_modification;
    }

    public void setDate_modification_batch(Date date_modification_batch) {
        this.date_modification_batch = date_modification_batch;
    }

    public void setIntegration_automatique(String integration_automatique) {
        this.integration_automatique = integration_automatique;
    }

    public void setDate_creation(Date date_creation) {
        this.date_creation = date_creation;
    }

    public void setTiers_alize(String tiers_alize) {
        this.tiers_alize = tiers_alize;
    }

    public void setLieu_naissance(String lieu_naissance) {
        this.lieu_naissance = lieu_naissance;
    }

    public void setDate_naissance(Date date_naissance) {
        this.date_naissance = date_naissance;
    }


    //.......................................................
    // ToString
    //........................................................


    @Override
    public String toString() {
        return "Redevable{" +
                ", redevable_id=" + redevable_id +
                ", adresse='" + adresse + '\'' +
                ", ville='" + ville + '\'' +
                ", code_siret='" + code_siret + '\'' +
                '}';
    }
}
